name: mongod
cmd:
  - start: |
      source_ros
      mkdir -p /tmp/robocup_data/kbases
      cp ${prefixMain}/share/robocup_data/knowledgeBase/bases/* /tmp/robocup_data/kbases
      chmod -R go+rw /tmp/robocup_data
      sleep 1
      if [[ $(mongod --version | grep v2.6) ]]; then
          rm -rf /tmp/robocup_data/kbases/admin.*
          rm -rf /tmp/robocup_data/kbases/local.*
          rm -rf /tmp/robocup_data/kbases/journal
          rm -rf /tmp/robocup_data/kbases/mongod.lock
          stdbuf -oL -eL mongod --dbpath /tmp/robocup_data/kbases --config ${PATH_TO_MONGOD_CONFIG} -v
      else
          stdbuf -oL -eL mongod --dbpath /tmp/robocup_data/kbases --config ${PATH_TO_MONGOD_CONFIG} -v --storageEngine mmapv1
      fi
  - check: #TODO
tags:
  - kbase
requires:
  - base_system  
provides:
  - mongod
host: ${basepc}

#original vdemo definition
#"mongod, $basepc,-l -t P_mongod -g KBASE -w 40 -v ARGS=\"\${PATH_TO_MONGOD_CONFIG}\" -L 8:"
